package com.sqx.modules.sys.controller;

import cn.hutool.core.util.StrUtil;
import com.sqx.common.utils.Constant;
import com.sqx.common.utils.Result;
import com.sqx.modules.sys.service.SysLogService;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.HashMap;
import java.util.Map;


/**
 * 系统日志
 *
 */
@Controller
@RequestMapping("/sys/log")
public class SysLogController {
	@Autowired
	private SysLogService sysLogService;
	
	/**
	 * 列表
	 */
	@ResponseBody
	@GetMapping("/list")
	@RequiresPermissions("sys:log:list")
	public Result list(String page, String limit, String key){
		Map<String, Object> params = new HashMap<>();

		if (StrUtil.isNotBlank(key)) {
			params.put("key", key);
		}

		if (StrUtil.isNotBlank(page)) {
			params.put(Constant.PAGE, page);
		}

		if (StrUtil.isNotBlank(limit)) {
			params.put(Constant.LIMIT, limit);
		}

		return Result.success().put("page", sysLogService.queryPage(params));
	}
	
}
